Page MenuHomePhabricator

[LV][NFC] Fix the condition for printing debug messages
ClosedPublic

Authored by Mel-Chen on Jun 24 2022, 6:24 AM.

Diff Detail

Event Timeline

Mel-Chen created this revision.Jun 24 2022, 6:24 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 24 2022, 6:24 AM
Herald added a subscriber: hiraditya. · View Herald Transcript
Mel-Chen requested review of this revision.Jun 24 2022, 6:24 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 24 2022, 6:24 AM
fhahn requested changes to this revision.Jun 24 2022, 7:40 AM

Would it be possible to add a test case?

This revision now requires changes to proceed.Jun 24 2022, 7:40 AM
Mel-Chen updated this revision to Diff 440607.Jun 28 2022, 7:05 AM

Add a test case

fhahn accepted this revision.Jul 8 2022, 9:31 AM

Thanks for the update! Just a few comments with regard to the test.

LGTM, with the suggested cleanup for the test. It would also be good to pre-commit the test and then have the diff only show the change caused by the patch.

llvm/test/Transforms/LoopVectorize/RISCV/force-vect-msg.ll
14

Given that the LLVM IR is very compact I don't think the C code adds much and IMO it would be better to not include it.

27

Keep the comment next to the check?

34

this should not be needed, you can branch directly to either %for.body.preheader or %for.body.

40

IMO the test is easier to read if this exit block is at the end of the function

This revision is now accepted and ready to land.Jul 8 2022, 9:31 AM
Mel-Chen updated this revision to Diff 444912.Jul 15 2022, 1:35 AM

Update test case according to the comments.

This revision was landed with ongoing or failed builds.Jul 15 2022, 1:50 AM
This revision was automatically updated to reflect the committed changes.
Mel-Chen marked 4 inline comments as done.